<h1 class="ui dividing header">
  Restaurants
  <%= link_to new_restaurant_path, class: 'ui right floated primary button' do %>
    <i class="plus circle icon"></i> New Restaurant
  <% end %>
</h1>

<%= search_form_for @search, method: :post, url: search_restaurants_path, html: { class: 'ui form' } do |f| %>
  <div class="two fields">
    <div class="field">
      <%= f.label :name_cont, 'Name' %>
      <%= f.text_field :name_cont %>
    </div>

    <div class="field">
      <%= f.label :food_type_eq, 'Food Type' %>
      <%=
        f.select(
          :food_type_eq,
          options_for_select(
            Restaurant.all.pluck(:food_type).uniq,
            f.object.food_type_eq
          ),
          { include_blank: true },
          class: 'ui fluid search dropdown'
        )
      %>
    </div>
  </div>

  <br>

  <%= f.submit class: 'ui primary button', data: { disable_with: 'Searching...' } %>
<% end %>

<div class="ui segment">
  <%= page_entries_info @restaurants %>
</div>

<%= paginate @restaurants %>

<table class="ui striped celled table">
  <thead>
    <tr>
      <th><%= sort_link @search, 'name', { action: :search }, method: :post %></th>
      <th><%= sort_link @search, 'food_type', { action: :search }, method: :post %></th>
      <th>Menu</th>
      <th>Your Rating</th>
      <th></th>
    </tr>
  </thead>

  <tbody>
    <% @restaurants.each do |restaurant| %>
      <tr>
        <td><%= restaurant.name %></td>
        <td><%= restaurant.food_type %></td>
        <td><%= link_to 'Menu', restaurant.menu_url %></td>
        <td>
          <%=
            content_tag(
              :div,
              '',
              class: 'ui large blue rating',
              data: {
                url: restaurant_ratings_path(restaurant_id: restaurant.id),
                rating: restaurant.rating_for(current_user).try(:stars)
              }
            )
          %>
        </td>
        <td>
          <%= link_to restaurant, class: 'ui secondary button' do %>
            <i class="eye icon"></i> Show
          <% end %>
          <%= link_to edit_restaurant_path(restaurant), class: 'ui secondary button' do %>
            <i class="pencil icon"></i> Edit
          <% end %>

          <% if current_user.admin? %>
            <%= link_to restaurant, method: :delete, data: { confirm: 'Are you sure?' }, class: 'ui negative button' do %>
              <i class="trash icon"></i> Delete
            <% end %>
          <% end %>
        </td>
      </tr>
    <% end %>
  </tbody>
</table>

<%= paginate @restaurants %>
